@echo off
echo Content-Type: text/plain
echo.

echo 以下は環境変数のリストです。 
echo ----------------------------- 
set
echo ----------------------------- 
echo. 
echo CGIでセットされた変数は、以下の通り。
echo ----------------------------- 
echo SERVER_NAME=%SERVER_NAME% 
echo SERVER_SOFTWARE=%SERVER_SOFTWARE%
echo GATEWAY_INTERFACE=%GATEWAY_INTERFACE%
echo SERVER_PROTOCOL=%SERVER_PROTOCOL%
echo REQUEST_METHOD="%REQUEST_METHOD%" 
echo HTTP_ACCEPT="%HTTP_ACCEPT%"
echo HTTP_USER_AGENT="%HTTP_USER_AGENT%" 
echo HTTP_REFERER="%HTTP_REFERER%" 
echo CONTENT_LENGTH="%CONTENT_LENGTH%"
echo REMOTE_HOST=%REMOTE_HOST% 
echo REMOTE_ADDR=%REMOTE_ADDR%
echo SCRIPT_NAME=%SCRIPT_NAME%
echo SCRIPT_FILENAME=%SCRIPT_FILENAME%
echo PATH_INFO="%PATH_INFO%"
echo PATH_TRANSLATED="%PATH_TRANSLATED%" 
echo ----------------------------- 
